=== modified file 'bzrlib/tests/repository_implementations/__init__.py'
--- bzrlib/tests/repository_implementations/__init__.py	2007-10-24 10:42:55 +0000
+++ bzrlib/tests/repository_implementations/__init__.py	2007-10-24 10:45:58 +0000
@@ -119,8 +119,11 @@
             of the file is verified to have the given parents after the
             reconcile.  i.e. this is used to assert that reconcile made the
             changes we expect it to make.
-        :corrected_inventories: XXX, probably remove
-        :corrected_fulltexts: XXX
+    
+    A subclass may define the following optional method as well:
+        :corrected_fulltexts: a list of file versions that should be stored as
+            fulltexts (not deltas) after reconcile.  run_test will verify that
+            this occurs.
     """
 
     def __init__(self, test_case):
@@ -400,9 +403,6 @@
             (['rev2'], 'rev4'),
             ]
 
-    def corrected_inventories(self):
-        return [('rev2', 'rev1a')]
-
     def corrected_fulltexts(self):
         return ['rev4']
 

=== modified file 'bzrlib/tests/repository_implementations/test_check_reconcile.py'
--- bzrlib/tests/repository_implementations/test_check_reconcile.py	2007-10-24 10:42:55 +0000
+++ bzrlib/tests/repository_implementations/test_check_reconcile.py	2007-10-24 10:45:58 +0000
@@ -158,18 +158,12 @@
             vf_shas,
             self.shas_for_versions_of_file(repo, scenario.all_versions()))
 
-        corrected_inventories = scenario.corrected_inventories()
-        for inventory_revision, file_version in corrected_inventories:
-            inv = repo.get_inventory(inventory_revision)
-            self.assertEqual(file_version, inv['a-file-id'].revision)
-        
         for file_version in scenario.corrected_fulltexts():
             vf = repo.weave_store.get_weave(
                 'a-file-id', repo.get_transaction())
             self.assertEqual('fulltext', vf._index.get_method(file_version),
                 '%r should be fulltext' % (file_version,))
 
-
     def test_check_behaviour(self):
         """Populate a repository and check it, and verify the output."""
         scenario = self.scenario_class(self)

